package com.cooleshow.teacher.ui.mine;

import android.os.Bundle;
import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.base.utils.AppUtils;
import com.cooleshow.base.utils.helper.QMUIStatusBarHelper;
import com.cooleshow.teacher.contract.AboutContract;
import com.cooleshow.teacher.databinding.ActivityAboutBinding;
import com.cooleshow.teacher.presenter.mine.AboutPresenter;

import androidx.annotation.Nullable;

/**
 * 创建日期：2022/5/18 14:08
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.MineCenter.MINE_ABOUT)
public class AboutActivity extends BaseMVPActivity<ActivityAboutBinding, AboutPresenter> implements AboutContract.AboutView, View.OnClickListener {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        QMUIStatusBarHelper.setStatusBarLightMode(this);
    }

    @Override
    public void onClick(View view) {

    }

    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "关于我们");
        viewBinding.tvVersion.setText("版本号："+ AppUtils.getAppVersionName());
    }

    @Override
    protected ActivityAboutBinding getLayoutView() {
        return ActivityAboutBinding.inflate(getLayoutInflater());

    }

    @Override
    protected AboutPresenter createPresenter() {
        return new AboutPresenter();
    }
}
